using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NewPosInstaller
{
    public interface IEcho
    {
        event EchoEventHandler EchoHandler;
        void OnEcho(string args);
    }
    public delegate void EchoEventHandler(string args);


    public class Echo : IEcho
    {
        public event EchoEventHandler EchoHandler;
        public void OnEcho(string args) { if (this.EchoHandler != null) this.EchoHandler(args); }
    }
}
